Bug 1912730 - Operator backed: In-context should support visual connector if SBO is not installed
Summary: Operator backed: In-context should support visual connector if SBO is not ins...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Sahil Budhwar
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-05 11:09 UTC by Sahil Budhwar
Modified: 2021-02-24 15:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:49:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7704 0 None closed Bug 1912730: create visual connector if service binding is not available for operator backed resource 2021-01-20 12:14:48 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:10 UTC

Description Sahil Budhwar 2021-01-05 11:09:41 UTC
Description of problem: 
Operator backed: In-context should support visual connector if SBO is not installed

Currently we show in-context option in topology for operatorbacked only if SBO is installed 

Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce
go to toplogy
won't see in-context option for operatorbacked if SBO is not installed
Actual results: 
User is shown in-context option in topology for operatorbacked only if SBO is installed 

Expected results: 
User should be able see option of operator backed and should connect with visual connector if SBO is installed then should create SBR as it happens now

Comment 2 Jaivardhan Kumar 2021-01-13 09:49:04 UTC
Verified on 

OpenShift version
openshift-install: 4.7.0-0.nightly-2021-01-13-054018
Kubernetes version v1.20.0+32efea9

macOSX , Google chrome Version 87.0.4280.88 (Official Build) (x86_64)

Comment 5 errata-xmlrpc 2021-02-24 15:49:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.